//
// guido2xml.cpp (the main entry for the guido2xml converter)
// 

#include <stdio.h>
#include <stdlib.h>
#include "defines.h"
#include "guido2xml.h"

// main function: without arguments print usage info, else do the parsing stuff
int main(int argc, const char*argv[]) {
  int result;
  
  printf("\nguido2xml v");
  printf(GUIDO2XML_VERSION);
  printf("\n");
  
  if(argc <= 1) {
#ifdef WIN32
    printf("\nusage: guido2xml input_filename <dtd_filename>\n\n");
#else
    printf("\nusage: %s input_filename <dtd_filename>\n\n", argv[0]);
#endif
    exit(0);
  }
  
  if (argc >= 3) result = parseFile(argv[1], argv[2]);
  else result = parseFile(argv[1], NULL);
  
  return result;
}

